#ifndef __XMODALDIALOG_H__
#define __XMODALDIALOG_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XModalDialog		                    */
/*                       derived from: XDialog                               */
/*                        last update: 4/97                                  */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/



#include "XDialog.h"


class _export_ XModalDialog: public XDialog
{
   friend MRESULT EXPENTRY ModalDProc(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
   public:
		virtual BOOL QueryForClose( SHORT com) { return TRUE;}
      XModalDialog( const XResource * res, const XWindow * owner, BOOL center = TRUE);
		void Start (void);
};

#endif
